---

- name: Export TILT_NAMESPACE variable
  block:
    - name: Determine shell type
      command: "echo $SHELL"
      register: shell_type
      changed_when: false
      check_mode: no

    - name: Export TILT_NAMESPACE in .bashrc or .zshrc
      lineinfile:
        path: "{{ ansible_env.HOME }}/{{ '.zshrc' if 'zsh' in shell_type.stdout else '.bashrc' }}"
        regexp: '^export TILT_NAMESPACE='
        line: "export TILT_NAMESPACE={{ tilt_namespace }}"
        state: "{{ 'absent' if uninstall | default(false) | bool else 'present' }}"
  when: tilt_namespace | default('') != ''
  tags:
    - tilt
    - tilt_config
